Page MenuHomePhabricator

Course Creator should remove leading and trailing whitespace from course title, term, and school
Closed, ResolvedPublic

Description

With the Course Creator tool, users input basic information about their course and then click 'create my course'. The system uses the 'title', 'term', and 'school' to form the url slug for the course. If a user includes leading or trailing whitespace in one of these fields, then the resulting url slug will have multiple underscores in a row, which is a little confusing. Such cases also cause compatibility problems with templates that link from Wikipedia to the course page, since Wikipedia templates may strip out the extra whitespace in the url.

(Related issues on github: https://github.com/WikiEducationFoundation/WikiEduDashboard/issues/345 https://github.com/WikiEducationFoundation/WikiEduDashboard/issues/418 )

For anyone taking this on as an Outreachy microtask, just ask if you would like any help getting started.

Event Timeline

Ragesoss created this task.Oct 7 2015, 4:42 PM
Ragesoss raised the priority of this task from to Medium.
Ragesoss updated the task description. (Show Details)
Ragesoss moved this task to Microtasks on the Education-Program-Dashboard board.
Ragesoss added a subscriber: Ragesoss.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2015, 4:42 PM
awight set Security to None.
Kenua added a subscriber: Kenua.Oct 13 2015, 10:34 AM
Restricted Application added a subscriber: Base. · View Herald TranscriptOct 13 2015, 10:34 AM
Kenua added a comment.Oct 13 2015, 1:29 PM

Hello! Is anyone doing this task for Outreachy?

Haritha28 removed Haritha28 as the assignee of this task.Oct 13 2015, 1:39 PM
Ragesoss closed this task as Resolved.Oct 16 2015, 11:40 PM
Ragesoss claimed this task.

I poking around at this, I realized that it was probably a little too complex to be a good microtask, because I didn't know exactly how to fix it.

Meanwhile I found a fix.

@Kenua, if you are still interested in a microtask for the dashbooard, let me know. I can easily come up with a few others that are similar to the two i18n tasks that are left.

Tmalhotra removed a subscriber: Tmalhotra.
Kenua added a comment.Oct 17 2015, 7:06 PM

@Ragesoss, I'm still interested.

And, just for curiosity, how has this problem been resolved?

@Kenua Here's the patch I did for it: https://github.com/WikiEducationFoundation/WikiEduDashboard/commit/376b60ae7556ba8cccf5cd6951a733869dbc7398

The tricky part was figuring out where in the data flow to make that change. That same React component, CourseCreator, is actually a nice microtask for replacing hardcoded strings with locale strings. I'll create a task right now.